# The OTel Collector pipelines for metrics and common components.
receivers:
  filelog/${log.file.name}:
    include:
      - ${log.file}
    include_file_name: false
    poll_interval: 10s
    fingerprint_size: 1kb
    storage: file_storage
    start_at: beginning
    resource:
      log_type: "metric"
      root_org_id: "${master.organization.id}"
      org_id: "${organization.id}"
      mulesoft.ingest.namespace: "runtime_lmetric"
      mulesoft.env.id: "${environment.id}"
      mulesoft.root_org.id: "${master.organization.id}"
      mulesoft.sub_org.id: "${organization.id}"
      internal.event.origin: "otel-collector"
      runtime: "hybrid"
    retry_on_failure:
      enabled: true
      initial_interval: 1s
      max_interval: 10s
      max_elapsed_time: 120s

service:
  pipelines:
    logs/${log.file.name}:
      receivers: [filelog/${log.file.name}]
      processors: [batch/lmetric]
      exporters: [otlphttp/lmetric, logging]
